Bug 261608 - automatic backup of nepomuk doesn't work
Summary: automatic backup of nepomuk doesn't work
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Vishesh Handa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-30 11:06 UTC by simag
Modified: 2011-01-09 22:32 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description simag 2010-12-30 11:06:39 UTC
Version:           unspecified (using KDE 4.5.90) 
OS:                Linux

i create a configuration for nepomuk automatic backup with new gui:
backup frequency: daily
backup time: 20:00
max number of backup: 10

it doesn't work...
i don't have any backup.

Reproducible: Always

Steps to Reproduce:
create an automatic backup for nepomuk

Actual Results:  
nepomuk backup doesn't work

Expected Results:  
a new backup every days
Comment 1 Vishesh Handa 2011-01-05 00:02:40 UTC
Could you confirm this in RC1 or RC2?
Comment 2 simag 2011-01-06 11:57:52 UTC
yes, i can make a manual backup correctly, but i can't make an automatic backup of nepomuk db
Comment 3 simag 2011-01-06 12:07:06 UTC
sorry, i test it on beta and rc1 package, 
when kubuntu team release rc2 package i re test it
Comment 4 omega 2011-01-09 20:33:20 UTC
on kubuntu with kde 4.6 rc2, manual backup works but automatic backup doesn't works.
Comment 5 simag 2011-01-09 20:46:32 UTC
i confirm it...
it's a kubuntu problem?
Comment 6 Vishesh Handa 2011-01-09 21:07:29 UTC
Weird. Probably a kubuntu problem. Please post the output after running these commands -

$ qdbus org.kde.nepomuk.services.nepomukbackupsync /servicecontrol shutdown
( Wait for 5-10 seconds )
$ nepomukservicestub "nepomukbackupsync"

and tell me the contents of the $KDEHOME/share/apps/nepomuk/backupsync/backups/ folder. $KDEHOME is generally ~/.kde in kubuntu.
Comment 7 simag 2011-01-09 21:18:48 UTC
i try to launch the commands two times:

1°

simone@laptop:~$ qdbus org.kde.nepomuk.services.nepomukbackupsync /servicecontrol shutdown

simone@laptop:~$ nepomukservicestub "nepomukbackupsync"
QObject::startTimer: QTimer cannot have a negative interval


-----------------------------------------------------------------------

2°


simone@laptop:~$ qdbus org.kde.nepomuk.services.nepomukbackupsync /servicecontrol shutdown
Service 'org.kde.nepomuk.services.nepomukbackupsync' does not exist.
simone@laptop:~$ nepomukservicestub "nepomukbackupsync"
QObject::startTimer: QTimer cannot have a negative interval

-----------------------------------------------------------------


simone@laptop:~/.kde/share/apps/nepomuk/backupsync/backups$ ls -l
totale 0


it doesn't work
Comment 8 Vishesh Handa 2011-01-09 21:26:45 UTC
That helped. Could you please also post the contents of ~/.kde/share/config/nepomukbackuprc
Comment 9 omega 2011-01-09 21:29:08 UTC
i don't have this error (QObject::startTimer: QTimer cannot have a negative interval) but ~/.kde/share/apps/nepomuk/backupsync/backups is empty.
Comment 10 omega 2011-01-09 21:29:29 UTC
(In reply to comment #8)
> That helped. Could you please also post the contents of
> ~/.kde/share/config/nepomukbackuprc

[Backup]
backup day=1
backup frequency=daily
backup time=12:00:00
max backups=2

[KFileDialog Settings]
Height 768=480
Recent Files[$e]=$HOME/.kde/share/apps/nepomuk/backupsync/backups/test,$HOME/.kde/share/apps/nepomuk/backupsync/backups/test
Width 1366=768
~
Comment 11 Vishesh Handa 2011-01-09 21:45:42 UTC
SVN commit 1213255 by vhanda:

Properly initialize m_daysBetweenBackups. This fixes the bug where daily backups would not always be performed.

BUG: 261608


 M  +5 -4      backupmanager.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1213255
Comment 12 simag 2011-01-09 21:55:09 UTC
thanks
Comment 13 Vishesh Handa 2011-01-09 21:58:55 UTC
Thanks for reporting it, and then providing the relevant info.

You rock! :D
Comment 14 omega 2011-01-09 22:32:17 UTC
(In reply to comment #13)
> Thanks for reporting it, and then providing the relevant info.
> 
> You rock! :D

:)